Subject: watercress ?

From: [email-masked] (Cara Vandy)
Date: 3 Apr 1995 17:35:07 -0400

I finally found the perfect spot for watercress, and now I can't 
find any seeds!  Who sells it?  Anyone have advice, personal tales of 
it?  I realize that the taste isn't vivid, but there's something about 
it that's alluring - some picture of little plants waving in running 
water.....  I grew some from seed years ago, but it was murdered in its 
seedling stage by a careless child.  I'd really like to try again.  
		Thanks,
			Cara